--- kaffe/libraries/javalib/java/net/MulticastSocket.java	Mon Feb  8 19:58:10 1999
+++ patched-kaffe/libraries/javalib/java/net/MulticastSocket.java	Mon Mar 18 14:36:38 2002
@@ -35,6 +35,13 @@
 	return (iface);
 }
 
+public int getTimeToLive() throws IOException {
+	return getTTL();
+}
+
+/**
+ * @deprecated.
+ */
 public byte getTTL() throws IOException {
 	return (impl.getTTL());
 }
@@ -58,6 +65,17 @@
 	iface = inf;
 }
 
+public void setTimeToLive(int ttl)  throws IOException {
+	if (ttl < 0 || ttl > 255) {
+		throw new IllegalArgumentException("ttl out of range");
+	}
+
+	setTTL((byte) ttl);
+}
+
+/**
+ * @deprecated.
+ */
 public void setTTL(byte ttl) throws IOException {
 	impl.setTTL(ttl);
 }
